package com.zenithsistemas.jXHTML;

import java.util.ArrayList;
import java.util.List;

public class Anchor extends Element {

	public Anchor() {
		super();	
		setup("Link", "#");
	}
	
	public Anchor(String href) {
		super();
		setup("Link", href);
	}
	
	public Anchor(String content, String href) {
		super();
		setup(content, href);
	}
	
	public void setup(String content, String href) {
		
		setTag("a");		
		clearDecorator();
		
		removeAttr("name");
		removeAttr("id");
		
		setContent(content);
		setHref(href);
	}
	
	public void setHref(String href) {
		setAttr("href", href);
	}
	
	public String getHref() {
		return getAttr("href");
	}
	
	public void setValue(String value) {
		setContent(value);
	}
	
	public String getValue() {
		return getContent();
	}
	
	public void setTarget(String value) {
		setAttr("target", value);
	}
	
	public String getTarget() {
		return getAttr("target");
	}	
}
