package com.zenithsistemas.jXHTML;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class Form extends Element {
	
	public Form() {
		super("form");
		setup("", "post");
	}
	
	public Form(String name) {
		super(name);
		setup("", "post");
	}
	
	public Form(String action, String method) {
		super("form");
		setup(action, method);
	}
	
	public Form(String name, String action, String method) {
		super(name);
		setup(action, method);
	}
	
	public void setup(String action, String method) {
		setTag("form");
			
		clearDecorator();	
		
		addDefaultAttr("id"); 
		
		setAttr("method", method);
		setAttr("action", action);
	}
	
	public void setValues(Map values) {
		Iterator j = values.entrySet().iterator();
		
		if(elements != null) {
			while(j.hasNext()) {
				Map.Entry pairs = (Map.Entry) j.next();
				
				for(int i = 0; i < elements.size(); i++) {
					if(elements.get(i).getId().equals(pairs.getKey())) {
						elements.get(i).setValue(pairs.getValue().toString());
					}
				}
			}	
		} 
	}
	
	public String render() {		
		if(elements != null) {
			String xhtml = "";
			
			for(int i = 0; i < elements.size(); i++) {
				xhtml += elements.get(i).render();
			}
			
			setContent(xhtml);
		}
		
		return super.render();
	}	
}
