package com.zenithsistemas.jXHTML;

import java.util.ArrayList;
import java.util.List;

public class Input extends Element {
	
	public Input() {
		super("txt");	
		setup("text", "txt", "");
	}
	
	public Input(String name) {
		super(name);
		setup("text", name, "");
	}
	
	public Input(String label, String name) {
		super(name);
		setup("text", name, "");
		setLabel(label);
	}
	
	public Input(String label, String name, String value) {
		super(name);
		setup("text", name, value);
		setLabel(label);
	}
		
	public Input(String label, String type, String name, String value) {
		super(name);
		setup(type, name, value);
		setLabel(label);
	}
	
	public void setup(String type, String name, String value) {
		setTag("input");
		setSimpleTag();
		setAttr("type", type);		
		setValue(value);
	}
	
	public void setLabel(String content) {
		prepend(new Label(getAttr("id"), content));
	}	
}
